import 'package:flutter/material.dart';

class MyFieldRow extends StatelessWidget {
  final Widget title;
  final Widget body;
  final double headerWidth, rowHeight,marginV;
  final Color color;

  MyFieldRow({required this.title,required this.body,this.headerWidth=0.35,this.rowHeight=0.06,this.marginV=12, this.color=Colors
      .orangeAccent
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width-10,
      height: MediaQuery.of(context).size.height*rowHeight,
      margin: EdgeInsets.symmetric(vertical: marginV),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: <Widget>[
          Container(
//            height: MediaQuery.of(context).size.height,
            padding: EdgeInsets.symmetric(vertical: 0,horizontal: 4),
            decoration: BoxDecoration(
                color: color,
                border: Border.all(width: 1,color: color),
                borderRadius: BorderRadius.only(topLeft: Radius.circular(8),bottomLeft:Radius.circular(8) )
            ),
            width: MediaQuery.of(context).size.width*headerWidth,
            child: Center(child: title,),),
          Expanded(
            child: Container(
              padding: EdgeInsets.symmetric(horizontal: 4),
              decoration: BoxDecoration(
//              color: mainColor,
                  border: Border.all(width: 1,color: color),
                  borderRadius: BorderRadius.only(bottomRight: Radius.circular(8),topRight:Radius.circular(8) )
              ),
//            width: MediaQuery.of(context).size.width*(1-headerWidth)-10,
              child: Center(child: body,),),
          )
        ],),
    );
  }
}
